Basic templates for new OCaml projects
☆14Oct 19, 2017Updated 9 years ago
Alternatives and similar repositories for ocaml-project-templates
Users that are interested in ocaml-project-templates are comparing it to the libraries listed below. We may earn a commission when you buy through links labeled 'Ad' on this page.
Sorting:
- Map à la Binary Radix Tree☆19Mar 10, 2022Updated 4 years ago
- Relational programming for OCaml (unreleased)☆24Jun 6, 2022Updated 4 years ago
- Lightweight PPX extension for OCaml to support natural monadic syntax.☆20Jun 16, 2021Updated 5 years ago
- Copies OCaml objects out of the garbage collected heap☆12Sep 20, 2018Updated 8 years ago
- Complete, typesafe representation of Vega-Lite in OCaml☆10Nov 13, 2017Updated 8 years ago
- Proton VPN Special Offer - Get 70% off • AdSpecial partner offer. Trusted by over 100 million users worldwide. Tested, Approved and Recommended by Experts.
- (DEPRECATED) Documentation generation for OCaml☆13Jul 16, 2018Updated 8 years ago
- Cash is a Unix shell that is embedded within Objective Caml. It's a Caml implementation of (an as large as possible subset of) the API of…☆11Sep 7, 2013Updated 13 years ago
- WiP: RFC 4880 (OpenPGP) library and utilities in OCaml☆24Oct 1, 2018Updated 8 years ago
- A simple tool and library to embed files and directories inside an OCaml executables☆20Apr 11, 2022Updated 4 years ago
- Index your filesystem to find duplicates☆13Mar 28, 2019Updated 7 years ago
- OCaml implementation of sets as hash tables by Jean-Christophe Filliatre☆11Feb 13, 2025Updated last year
- Finite lazy enumerators in OCaml☆21Oct 19, 2018Updated 8 years ago
- An example Alexa skill written in ReasonML☆11Sep 6, 2017Updated 9 years ago
- [beta] persistent memoization of computations, e.g. for repeatable tests and benchmarks☆17Apr 7, 2026Updated 6 months ago
- Bare Metal GPUs on DigitalOcean Gradient AI • AdPurpose-built for serious AI teams training foundational models, running large-scale inference, and pushing the boundaries of what's possible.
- A ppx rewriter that provides pattern matching on abstract types by transforming patterns into views/expressions.☆19Sep 24, 2019Updated 7 years ago
- SOCKS4a and SOCKS5 (RFC 1928; RFC 1929) handling for ocaml clients and servers☆20Jul 9, 2023Updated 3 years ago
- BigArray Utilities☆13Feb 19, 2018Updated 8 years ago
- Helpers for using topkg with jbuilder☆15Oct 12, 2017Updated 9 years ago
- OCaml bindings for jech/dht☆25Jun 16, 2020Updated 6 years ago
- An OCaml library for describing and simulating synchronous finite state machines")☆32Mar 30, 2021Updated 5 years ago
- A Key Value store using a persistent hashtable approach☆19Dec 8, 2021Updated 4 years ago
- ☆15Aug 16, 2020Updated 6 years ago
- Lazy prefix trees in OCaml☆22Jan 22, 2020Updated 6 years ago
- Managed Database hosting by DigitalOcean • AdPostgreSQL, MySQL, MongoDB, Kafka, Valkey, and OpenSearch available. Automatically scale up storage and focus on building your apps.
- small tool to create OCaml software bundles from OPAM packages, superseded by builtin functionality in opam 2☆18Aug 8, 2015Updated 11 years ago
- A jabber logger and web interface☆12Oct 27, 2026Updated last week
- Look at https://github.com/anuragsoni/shuttle_http instead☆15Jan 16, 2026Updated 9 months ago
- Moana implementation in OCaml☆16Jul 15, 2015Updated 11 years ago
- Explorations into reasonably ergonomic lens derivations☆21Apr 9, 2019Updated 7 years ago
- s-expression codecs and updates for OCaml☆12Mar 23, 2017Updated 9 years ago
- Dynamic loader for OCaml☆14Dec 11, 2009Updated 16 years ago
- OCaml ppx preprocessor to generate SQLite3 prepared statements and query functions☆12Nov 17, 2015Updated 10 years ago
- DEPRECATED: Compile Time Reflection or Metaprogramming for OCaml☆16Apr 21, 2024Updated 2 years ago
- Managed Kubernetes at scale on DigitalOcean • AdDigitalOcean Kubernetes includes the control plane, bandwidth allowance, container registry, automatic updates, and more for free.
- LINQ-like combinators for manipulating collections of in-memory data☆16Sep 21, 2020Updated 6 years ago
- A programming language targeting 8bit ATMEL AVR microcontrollers. Implemented using OCaml and Menhir.☆12Oct 15, 2016Updated 10 years ago
- An OCaml library for accessing the Facebook API.☆11Oct 24, 2016Updated 10 years ago
- a distributed computing library for OCaml☆25Jan 19, 2024Updated 2 years ago
- Convert a cmi file back to an mli interface☆13Oct 4, 2012Updated 14 years ago
- OCaml/Reason native IDE on OS X☆12Jan 18, 2017Updated 9 years ago
- ☆15Dec 11, 2020Updated 5 years ago